TOML::Tiny::Grammar(3pm)

NAME
TOML::Tiny::Grammar - exports regex definitions used to parse TOML source

VERSION
version 0.22

SYNOPSIS
  use TOML::Tiny::Grammar;

  if ($src =~ /$MultiLineString/) {
    ...
  }

DESCRIPTION
Exports various regexex for parsing TOML source.

PATTERNS

  White space and ignorables
$WS

$CRLF

$EOL

$Comment

  Keys
$BareKey

$QuotedKey

$SimpleKey

$DottedKey

$Key

  Values
$Boolean

$Escape

$StringLiteral

$MultiLineStringLiteral

$BasicString

$MultiLineString

$String

$Date

$Time

$DateTime

$Hex

$Oct

$Bin

$Dec

$Integer

$Float

  $SpecialFloat

AUTHOR
Jeff Ober <sysread@fastmail.fm>

COPYRIGHT AND LICENSE
This software is copyright (c) 2026 by Jeff Ober.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.